Last Comment Bug 705146 - Selected entries are dismissed if a tap is performed over a multi-selection list
: Selected entries are dismissed if a tap is performed over a multi-selection list
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P2 normal (vote)
: ---
Assigned To: Wesley Johnston (:wesj)
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-24 08:21 PST by Cristian Nicolae (:xti)
Modified: 2016-07-29 14:20 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments

Description Cristian Nicolae (:xti) 2011-11-24 08:21:08 PST
Mozilla/5.0 (Android;Linux armv7l;rv:11.0a1)Gecko/20111124
Firefox/11.0a1 Fennec/11.0a1
Devices: Samsung Galaxy Nexus S
OS: Android 2.3.4

Steps to reproduce:
1. Open Fennec App
2. Browse to bugzilla.mozilla.org
3. Tap on Search button > Advance search
4. Tap on the Product list
5. Select the first 5 entries from the list and tap Done
6. Repeat step 4

Expected result:
After step 4, the first 5 entries are still selected.

Actual result:
After step 4, all the selected entries are automatically dismissed.
Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-26 22:08:32 PST
Something very weird is happening here. I am having a hard time getting the UI to even appear. Also, Firefox seems to hangs.
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-26 22:21:18 PST
I also see that it's possible to open multiple Select UI prompts for the same list. We should watch for retentrancy and stop it. But why is the prompt taking so long to display?
Comment 3 Wesley Johnston (:wesj) 2011-12-01 16:24:40 PST
I'm not seeing the entries being dismissed anymore, but the reentrancy problem does seem to still exist. Filed Bug 707029. Also not sure what the delay is. Is bugzilla reorganizing the form when you select items? I'll look at that in the other bug.
Comment 4 Carla Nadastean 2011-12-05 07:20:20 PST
Retested bug with:
Mozilla/5.0 (Android; Linux arm7l; rv:11.0a1) Gecko/20111205 Firefox/11.0a1 Fennec/11.0a1
Device: HTC Desire Z (Android 2.3)

I'm not seeing entries being dismissed either. Bug no longer reproducible.

Verifying.

Note You need to log in before you can comment on or make changes to this bug.